# 关闭OpenIpc的log输出
在使用GDK7进行内核调试时，一般都是会通过Open Ipc的方式去进行调试；但是有的时候Open Ipc会自动的打印出来很多的log文件，并且还会占用不小的存储空间，本篇文章将会教大家如何如何关闭Open Ipc的log输出。
可以通过搜索.OpenIpc进行查看，Open Ipc输出log的所在位置，并查看其内容。
## 主要步骤：
1. 进入Open Ipc目录下搜索logging.xml；如下图所示。
![](https://www.nanocode.cn/wiki/uploads/gdk7_primer/images/m_4d30d3259d7c49a88ae466d14692abce_r.png)
2. 打开logging.xml。
3. 找到Presets Load；如下图所示。
![](https://www.nanocode.cn/wiki/uploads/gdk7_primer/images/m_a17d18f947a09f0718d29ac59cd22709_r.png)
4. 如果Open Ipc会打印出许多的log，那么就可以看到Presets Load这里的设置是All；根据提示我们可以看到，只要把All改成Off后，Open Ipc就不会再打印log了，如下图所示。
![](https://www.nanocode.cn/wiki/uploads/gdk7_primer/images/m_8a1c3bc99a54a17cf9dc7a9056dbda2c_r.png)