在GDK7中默认的硬盘大小是256GB，这个大小对于部分同学来说并不够用，因此需要通过加装硬盘来添加外存大小，如果您有这个需要，那么可以根据本文对GDK进行硬盘的加装。

1. 打开GDK7的上盖。
在GDK7的内部可以看到两个硬盘位，分别是SSD硬盘位和SATA硬盘位，SSD硬盘位默认放置的是256GB的固态硬盘（上方的位置留给无线网卡），SATA硬盘位默认是空置的（SATA2并未进行焊接，SATA1可以直接用），如果想要加装硬盘，可以通过SATA1硬盘位进行添加。
![](https://www.nanocode.cn/wiki/uploads/gdk7_primer/images/m_74640f99282da9c6ea1bb7b99d0ac026_r.png)
**GDK7中只有一个内存位，如果想要添加内存大小，只能选择拆卸原来的内存条，然后换成新的内存条。**
![](https://www.nanocode.cn/wiki/uploads/gdk7_primer/images/m_b0ded9d10e2389315d905ff957943454_r.png)
2. 将SATA硬盘与GDK7连接（在GDK7的包装中附带了SATA硬盘所需要的线）。
**SATA硬盘线如下图所示**
![](https://www.nanocode.cn/wiki/uploads/gdk7_primer/images/m_cd53147e5fb3e01f93f4f9eb89c0ac1d_r.jpg)
**将SATA硬盘线与SATA硬盘进行连接，如下图所示**
![](https://www.nanocode.cn/wiki/uploads/gdk7_primer/images/m_ad5e6f72f4e54887558e7c05a5902258_r.jpg)
**将SATA硬盘线的另一端与GDK7进行连接，如下图所示**
![](https://www.nanocode.cn/wiki/uploads/gdk7_primer/images/m_6862f7dc0036ef9653ab5f5d44562135_r.png)
3. 将GDK7开机，并打开磁盘管理器，可以操作系统已经识别出来了新加硬盘，并且新加硬盘有446.63GB的空间处于待分配状态。
![](https://www.nanocode.cn/wiki/uploads/gdk7_primer/images/m_99a2fab80e31803fa1404cf996bc1973_r.png)
4. 右键未分配区域，点击`新建简单卷`，根据向导进行设置，最后点击完成，等待硬盘空间完成分配即可。
![](https://www.nanocode.cn/wiki/uploads/gdk7_primer/images/m_063cbb71d21c065ce3bd9e20fe8ae2f3_r.png)
![](https://www.nanocode.cn/wiki/uploads/gdk7_primer/images/m_08f65879e63916500b9c528b3a0780e1_r.png)
5. 在硬盘空间完成分配后，新的分区就已经可以正常使用了！
![](https://www.nanocode.cn/wiki/uploads/gdk7_primer/images/m_fca8ba0ff57bacd86a94b3b3882e7ceb_r.png)